This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200979 - kinit -a segfaults
kinit -a segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 18:48 EDT by Bill Nottingham
Modified: 2014-03-16 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 14:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-08-01 18:48:10 EDT
Description of problem:

Accidentally typed 'kinit -a' instead of 'kinit -A'. Much to my surprise:

[notting@nostromo: ~]$ kinit -a
Segmentation fault

Program received signal SIGSEGV, Segmentation fault.
add_addr (P_data=0xbf904520, a=0x0) at localaddr.c:1179
1179        switch (a->sa_family) {
(gdb) bt
#0  add_addr (P_data=0xbf904520, a=0x0) at localaddr.c:1179
#1  0x008675fc in krb5int_foreach_localaddr (data=0xbf904520, 
    pass1fn=0x8672e0 <count_addrs>, betweenfn=0x867310 <allocate>, 
    pass2fn=0x867430 <add_addr>) at localaddr.c:484
#2  0x008676ee in get_localaddrs (context=0x928f088, addr=0xbf90468c, use_profile=3)
    at localaddr.c:1347
#3  0x00c1904e in main (argc=2, argv=0xbf904844) at kinit.c:784

(gdb) print a
$1 = (struct sockaddr *) 0x0

Version-Release number of selected component (if applicable):

1.5-3

How reproducible:

Every time.
Comment 1 Nalin Dahyabhai 2008-02-25 14:59:28 EST
Fixing in 1.6.3-8 -- a patch which fixed this problem in 1.4 clashed with the
fix that went into 1.5.
Comment 2 Fedora Update System 2008-02-26 17:39:15 EST
krb5-1.6.1-8.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-26 17:39:15 EST
krb5-1.6.2-13.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-06 11:35:36 EST
krb5-1.6.2-13.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-06 11:36:06 EST
krb5-1.6.1-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.